<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
// @codingStandardsIgnoreFile
?>
<div class="cart-discount">
    <div class="block discount" id="block-discount" data-mage-init='{"collapsible":{"openedState": "active", "saveState": false}}'>
        <div class="title" data-role="title">
            <strong id="block-discount-heading" role="heading" aria-level="2"><?php /* @escapeNotVerified */ echo __('Apply Discount Code') ?></strong>
        </div>
        <div class="content" data-role="content" aria-labelledby="block-discount-heading">
            <form id="discount-coupon-form"
                  action="<?php /* @escapeNotVerified */ echo $block->getUrl('checkout/cart/couponPost') ?>"
                  method="post"
                  class="form-inline"
                  data-mage-init='{"discountCode":{"couponCodeSelector": "#coupon_code",
                  "removeCouponSelector": "#remove-coupon",
                  "applyButton": "button.action.apply",
                  "cancelButton": "button.action.cancel"}}'>
                <div class=" coupon<?php strlen($block->getCouponCode()) ? ' applied' : '' ?>">
                    <input type="hidden" name="remove" id="remove-coupon" value="0" />
                    <div class="form-group">
                        <label for="coupon_code" class="control-label sr-only"><span><?php /* @escapeNotVerified */ echo __('Enter discount code') ?></span></label>
                        <input type="text" class="form-control" id="coupon_code" name="coupon_code" value="<?php echo $block->escapeHtml($block->getCouponCode()) ?>" placeholder="<?php echo $block->escapeHtml(__('Enter discount code')); ?>" />
                    </div>
<?php if (!strlen($block->getCouponCode())): ?>
                        <button class="action apply btn btn-primary btn-outline" type="button" value="<?php /* @escapeNotVerified */ echo __('Apply Discount') ?>">
                            <span><?php /* @escapeNotVerified */ echo __('Apply Discount') ?></span>
                        </button>
<?php else: ?>
                        <button  type="button" class="action cancel btn btn-link" value="<?php /* @escapeNotVerified */ echo __('Cancel Coupon') ?>"><span><?php /* @escapeNotVerified */ echo __('Cancel Coupon') ?></span></button>
                    <?php endif; ?>
                </div>
            </form>
        </div>
    </div>
</div>
